    <style include="cr-shared-style settings-shared iron-flex">
    </style>
    <div id="category">
      <div class="cr-row first">
        <h2 class$="flex [[getCssClass_(enableContentSettingsRedesign_)]]">
          [[categoryHeader]]
        </h2>
        <cr-button id="addSite" class="header-aligned-button"
            hidden$="[[!showAddSiteButton_]]" on-click="onAddSiteTap_">
          $i18n{add}
        </cr-button>
      </div>

      <cr-action-menu role-description="$i18n{menu}">
        <button class="dropdown-item" id="allow"
            on-click="onAllowTap_" hidden$="[[!showAllowAction_]]">
          $i18n{siteSettingsActionAllow}
        </button>
        <button class="dropdown-item" id="block"
            on-click="onBlockTap_" hidden$="[[!showBlockAction_]]">
          $i18n{siteSettingsActionBlock}
        </button>
        <button class="dropdown-item" id="sessionOnly"
            on-click="onSessionOnlyTap_"
            hidden$="[[!showSessionOnlyActionForSite_(actionMenuSite_)]]">
          $i18n{siteSettingsActionSessionOnly}
        </button>
        <button class="dropdown-item" id="edit"
            on-click="onEditTap_">
          $i18n{edit}
        </button>
        <button class="dropdown-item" id="reset"
            on-click="onResetTap_">
          $i18n{siteSettingsActionReset}
        </button>
      </cr-action-menu>

      <div class="list-frame" hidden$="[[hasSites_(sites.*)]]">
        <div class="list-item secondary">$i18n{noSitesAdded}</div>
      </div>
      <div class="list-frame"
          hidden$="[[!showNoSearchResults_(searchFilter, sites.*)]]">
        <div class="list-item secondary">$i18n{searchNoResults}</div>
      </div>
      <div class="list-frame menu-content vertical-list" id="listContainer"
          hidden$="[[!hasSites_(sites.*)]]">
        <iron-list items="[[getFilteredSites_(searchFilter, sites.*)]]"
            preserve-focus risk-selection>
          <template>
            <site-list-entry model="[[item]]" read-only-list="[[readOnlyList]]"
                on-show-action-menu="onShowActionMenu_" tabindex$="[[tabIndex]]"
                first$="[[!index]]" iron-list-tab-index="[[tabIndex]]"
                last-focused="{{lastFocused_}}" list-blurred="{{listBlurred_}}"
                on-show-tooltip="onShowTooltip_" focus-row-index="[[index]]">
            </site-list-entry>
          </template>
        </iron-list>
      </div>
    </div>
    <paper-tooltip id="tooltip" hidden="[[!tooltipText_]]]"
        fit-to-visible-bounds manual-mode position="top">
      [[tooltipText_]]
    </paper-tooltip>
    <template is="dom-if" if="[[showEditExceptionDialog_]]" restamp>
      <settings-edit-exception-dialog model="[[actionMenuSite_]]"
          on-close="onEditExceptionDialogClosed_">
      </settings-edit-exception-dialog>
    </template>
    <template is="dom-if" if="[[showAddSiteDialog_]]" restamp>
      <add-site-dialog has-incognito="[[hasIncognito_]]" category="[[category]]"
          content-setting="[[categorySubtype]]"
          on-close="onAddSiteDialogClosed_">
      </add-site-dialog>
    </template>
